### Method

# Ide ApplicationAddin add_option_entries

#### Declaration

    void
    ide_application_addin_add_option_entries (
      IdeApplicationAddin* self,
      IdeApplication* application
    )

#### Description

This function is called to allow the application a chance to add various command-line options to the `GOptionContext`. See `g_application_add_main_option_entries()` for more information on how to add arguments.

See `ide_application_addin_handle_command_line()` for how to handle arguments once command line argument processing begins.

Make sure you set `X-At-Startup=true` in your `.plugin` file so that the plugin is loaded early during startup or this virtual function will not be called.

Available since: | 3.32

#### Parameters

`application` | `IdeApplication`
| An `IdeApplication`.
| The data is owned by the caller of the function.